import { Observable } from 'rxjs/Observable';
import { HttpClient } from '@angular/common/http';
import { BaseServiceConfig } from './../../base-service.config';
import { SharePointList } from './../model/sharepoint-list';
export declare class SharePointService {
    private http;
    url: string;
    constructor(config: BaseServiceConfig, http: HttpClient);
    getListItems(list: SharePointList): Observable<any[]>;
    getListItemsSimple(list: string, view: string, site?: string, limit?: string): Observable<any[]>;
    getPeople(): Observable<any[]>;
}
