import { ModuleWithProviders } from '@angular/core';
import { BaseServiceConfig } from './base-service.config';
import { EmailServiceConfig } from './email/model/email.service.config';
export * from './base-service.config';
export * from './email/model/email';
export * from './email//service/email.service';
export * from './email/model/email.service.config';
export * from './sharepoint/model/sharepoint-list';
export * from './sharepoint/model/sharepoint-picture';
export * from './sharepoint/service/sharepoint.service';
export declare class EmailModule {
    static forRoot(config: EmailServiceConfig): ModuleWithProviders;
}
export declare class SharePointModule {
    static forRoot(config: BaseServiceConfig): ModuleWithProviders;
}
